/* game.c - Main game loop */

#include <stdio.h>
#include "game.h"

char game_state = INIT;
char menu_show = PLAY;
char *title_string = "Hugooski - version 0.1 ";

char gameloop(void) {
	static SDL_Surface	*screen, *background, *introBackground, *target;                           		
	static SDL_Rect	dest;
	static SDL_Rect	*where;                                                     			
	static SDL_Event	event;                                                     			
	static SDL_AudioSpec *des_audio[3], *real_audio[3];
	static int		c,i;                                                       			
	static char		move,movelast,run='Y';                                  			
	
	switch(game_state) {
		case INIT:
		                                                                            		
			/* Display game title message */                                            		
			fprintf(stderr, title_string);                                              		
	                                                                                    		
			/* Startup code goes here */                                                		
	                                                                                    		
			/* initialize SDL */                                                        		
			if (SDL_Init(SDL_INIT_VIDEO|SDL_INIT_AUDIO) !=0) {                          		
				fprintf(stderr, "SDL error: %s\n", SDL_GetError());                 		
				return 0;                                                           		
			}                                                                           		
			atexit(SDL_Quit);                                                           		
	                                                                                    		
			/* end init SDL */                                                          		
	                                                                                    		
			/* open a window in X */                                                    		
			screen = SDL_SetVideoMode(                                                  		
					640, 480, 		/* width and height of window */  		
					16,			/* 8 bit color depth (256 colors) */		
					SDL_HWSURFACE | SDL_DOUBLEBUF	/* video flags */      		
			);                                                                          		
		                                                                                    		
			if (screen == NULL) {                                                       		
				fprintf(stderr, "Video error: %s\n", SDL_GetError());               		
				exit(1);                                                            		
			}                                                                           		
		                                                                                    		
			SDL_WM_SetCaption(title_string, NULL);                                      		
		                                                                            		
			/* load the bitmap with the background and target */	                		
		//	target = SDL_LoadBMP("target.bmp");                                       		
			background = IMG_Load("background.png");                                    		
			introBackground = IMG_Load("intro.png");
			target = IMG_Load("sprites.png");                                           		
	                                                                                    		
			/* Create a transparent color for the target surface */                     		
			SDL_SetColorKey(target, SDL_SRCCOLORKEY, 0);                                		
			//SDL_SetColorKey(background, SDL_SRCCOLORKEY, 0);                            		
			/* Check what the color key is? */                                          		
			printf("the colorkey is %d\n",target->format->colorkey);                    		
			/* Make Cursor disappear */                                                 		
			SDL_ShowCursor(0);                                                          		

			// initialise the sound
			for(i=0;i<=4;i++){
                       		
                       		des_audio[i] = (SDL_AudioSpec *)malloc(sizeof(SDL_AudioSpec));
                       		real_audio[i] = (SDL_AudioSpec *)malloc(sizeof(SDL_AudioSpec));
                       	}
                       	//Setup the audio spec
                       	
                       	
                       	des_audio[0]->freq=44100; //22khz samples
                       	des_audio[0]->samples = 512;
                       	des_audio[0]->callback = audio_func;
                       	des_audio[0]->format = AUDIO_S16MSB;
                       	des_audio[0]->userdata = NULL;
                       	des_audio[0]->channels = 1;	
                       	//try ad open the audio device
                       	
                       	
                       	if(SDL_OpenAudio(des_audio[0], real_audio[0])<0) {
                       		fprintf(stderr, "Error : %s", SDL_GetError());
                       		//return 1;
					
                       	}
                       	
                       	if(!SDL_LoadWAV("wavs/music.wav", des_audio[0],&channel[0], &channel_len[0]) || !SDL_LoadWAV("wavs/gotit.wav",
                       				des_audio[1], &channel[1], &channel_len[1])) {
                       		SDL_CloseAudio();
                       		fprintf(stderr, "Error: %s \n", SDL_GetError());
                       		fprintf(stderr, "Running with no sound.\n");
				//return 1;
                       	}
			channelactive[0]=0; //make music active
			channelactive[1]=0;
			SDL_PauseAudio(0);

			//end of audio init

			/*end open window in X */			                           		
			/* Enter main game loop */                                                  		
			dest.x=0, dest.y=0, dest.w=640, dest.h=480;                                 		
			SDL_BlitSurface(background, NULL, screen, &dest);                           		
			move='S';                                                                   		
		        
			game_state = MENU;
			return run;
			/* Game initialization code goes here */
			break;
		case INTRO:
			/* Game intro sequence code goes here */
			break;
		case MENU:
			/* Game menu goes here */
			
			doMenu(screen, target, background, introBackground);		
			SDL_Flip(screen);
		
			run='Y';
			return run;                                                                      	
			
			
			
			
			
			
			break;
		case GAME:
			
				while (SDL_PollEvent(&event)) {	
					switch(event.type){
						case SDL_KEYDOWN:
							move=HandleKeyboardEvent(&event);
							break;
						default:
							break;
					}
				}
				where=DrawHugooski(screen, target, background, move); 
				if (move != 'U' ) movelast=move;
				
				updateScore(screen, target, background, NULL, NULL, NULL, 2, NULL); //2 to only update the score graphic
				createParticleEffect(screen, target, background, NULL, NULL, 2);
				run=engine(screen, target, background, where);
				if (run!='Y') {
					move='F';
					game_state=MENU; //later will go to end game screen or intro
					run='Y';
				}
				if (move=='N') {
					game_state=MENU;//run='N';
					move='F';
				}
				if(move=='U') move=movelast;
				SDL_Flip(screen);
						
			return run;			
			
			
			
			
			/* Main game code goes here */
			break;
		case SHUTDOWN:
			/* Game Shutdown code goes here */
			printf("\n Shutdown reads\n");	
			SDL_FreeWAV(channel[0]);
			SDL_FreeWAV(channel[1]);
			//SDL_CloseAudio();
			run='N';
			return run;
			break;
		default:
			fprintf(stderr, "Bad game state");
			break;
	}
}


/* int HandleMouseEvent(SDL_Event *event, SDL_Surface *wscreen, SDL_Surface *wtarget){
//	 Useful pointers to the required event structures 
	SDL_MouseMotionEvent *motion=&event->motion;
	SDL_MouseButtonEvent *button=&event->button;
	int run=1;
	//Switch based on the event type 
	switch(event->type){
		case SDL_MOUSEMOTION:
			displaycood(motion);
			manipulateEnemy(wscreen, wtarget, motion, NULL, 1);			
			//drawtarget(wscreen, wtarget, motion);

			break;
			//printf("Mouse moved to: (%d, %d)\n", motion->x, motion->y);
			//break;
		case SDL_MOUSEBUTTONDOWN:
			run=manipulateEnemy(wscreen, wtarget, motion, button, 2);
			printf("Exited with mouse button %d pressed at (%d, %d)\n", button->button, button->x, button->y);
				
			break;
	//	default:
	//		break;
	}
	return run;
}
*/
char HandleKeyboardEvent(SDL_Event *event){
	/* Useful pointers to the required event structures */
	SDL_KeyboardEvent *key=&event->key;
	static char wmove, movelast;
	/*Switch based on the event type */
	if (wmove!='U')movelast=wmove;
	switch(key->keysym.sym){
		case SDLK_LEFT:
//			DrawHugooski(wscreen, wtarget, wbackground, 'L');
			wmove='L';
			break;
		case SDLK_RIGHT:
			//DrawHugooski(wscreen, wtarget, wbackground, 'R');		
			wmove='R';
			break;
		case SDLK_SPACE:
			//DrawHugooski(wscreen, wtarget, wbackground, 'U');
			wmove='U';
			break;
		case SDLK_UP:
			wmove='S';
			break;
	
		case SDLK_DOWN:
			if(game_state!=GAME){
				wmove='X';
			}
			break;
			
		case SDLK_q:
			wmove='N';
			break;
		case SDLK_g:
			wmove='g';
		
		default:
			//wmove=movelast;
			break;


		
	}
	//DrawHugooski(wscreen, wtarget, wbackground, move);
	return wmove;
}


SDL_Rect* DrawHugooski(SDL_Surface *xscreen, SDL_Surface *xtarget, SDL_Surface *xbackground, char MoveHow){
	static SDL_Rect ddest={300, 410, 40, 60},  drepairsrc={300, 410, 42, 66}, drepair={300, 410, 42, 66}, dsrc[6]={{299, 5, 40, 65},{299, 70, 40, 65},{299, 135, 40, 65},{260, 5, 40, 65},{260, 70, 40, 65},{260, 135, 40, 65}};
	static char MoveHowLast='L';
	static int i=0, frame, fr=0, fl=3, t=0, lback=0, rback=0;
					
	
	if (MoveHow !='U') MoveHowLast=MoveHow;
	if(MoveHowLast=='L') frame=fl;else frame=fr;
	
	switch(MoveHow) {
		case 'L':
			ddest.x=ddest.x-2;
			drepairsrc.x=ddest.x+2;
			t++;
			if (t==15) { if (lback) fl=fl-1;else fl++;t=0; }
			if (fl==5) lback=1;
			if (fl==3) lback=0;
			break;
		case 'R':
			if (ddest.x<617) ddest.x=ddest.x+2;
			drepairsrc.x=ddest.x-2;
			t++;
			if (t==15) { if (rback) fr=fr-1;else fr++;t=0; }
			if (fr==2) rback=1;
			if (!fr) rback=0;
			break;
		case 'U':
			//if (MoveHowLast=='L' || MoveHowLast=='R' || MoveHowLast=='S'){	
			if(!i) i=40;
			t++;
			if (t==15)t=0;
			//if (fl==5) fl=3;
			//if (fr==3) fr=0;
			//}
			break;
		case 'S':
			t++;
			if (t==15)t=0;
			break;
	
		default:
			t++;
			if (t==15)t=0;
			break;
			
	}
			
		if (i && (MoveHow=='L' || MoveHow=='R' || MoveHow=='S')){
				
					if (i > 20) {ddest.y=ddest.y-1;drepairsrc.y=ddest.y+1;}
					else  {ddest.y=ddest.y+1;drepairsrc.y=ddest.y-1;}
				
			
			
		i=i-1;

		}

	drepair.x=drepairsrc.x;	
	drepair.y=drepairsrc.y;
	SDL_BlitSurface(xbackground, &drepairsrc, xscreen, &drepair);
	SDL_BlitSurface(xtarget, &dsrc[frame], xscreen, &ddest);

	//printf("\nx %d, y %d\n", ddest.x, ddest.y);
	return &ddest;
}



char engine(SDL_Surface *wscreen, SDL_Surface *wtarget, SDL_Surface *wbackground, SDL_Rect *WhereIsHugooski) {
	//static SDL_Rect dest, src, repair, repairsr, whole;
	static Enemies *whearts, *troll, *rock, *bird;
	static int level=0, spd=0, score[3]={0,0,0}, levelUpdate=0, hearts, rockStop=0, rocks, badhearts=0;
	static SDL_Rect hsrc[8]={{100,0,30,26},{100,26,30,26},{100,52,30,26},{100,78,30,26},{100,104,30,26},{70,78,30,26},{70,52,30,26},{70,26,30,26}}, hdest={1,20,30,26}, hrepairsrc={1,20,30,30}, hrepairdest={1,20,30,30};
	static SDL_Rect trollsrc={0,139,28,37}, trolldst, trollRepair;
	static SDL_Rect birdsrc={0,215,81,90}, birddst, birdrepair;
	static SDL_Rect rocksrc={4,92,16,14}, rockdst={50,460,17,14}, rockRepairSrc={49,460,17,14}, rockRepairDst={49,460,17,14};
	static SDL_Rect fallingRockSrc={3,92,17,14}, fallingRockDst={0,0,17,14}, fallingRockRepairSrc={0,0,20,14}, fallingRockRepairDst={0,0,17,14};
	static SDL_Rect kicksrc={229,0,23,22}, kickdst={600, 170, 23, 22}, kickRepair;	
	static char run='Y',death='N' ;
	static int rockgroundframedelay=10, trollframedelay=20, trollrockthrow=0, god=0, bonus=0, oldtrolldsty=440, newbird=1;
	static Uint32 thisFrame , lastFrame, deltaFrame;
	static kick rockkick={0,0,0,0,0};
	int wi, wj, hframe, delay;
	if(level>30) { //if all levels have ended do gameover, or congratulations screen and reset
		gameOver(wscreen, wtarget, wbackground);
		level=0;
		
		return 'N';
	}
	if(!level) { 
		level=1;
		hearts=10;
		whearts=spawnEnemies(1);
		troll=0;
		rock=0;
		rocks=0;
		lastFrame=SDL_GetTicks();
		updateLives(NULL, NULL, NULL, 4, NULL);
		//reset character variables to zero
		bird=0;
		troll=0;
		rock=0;
		rockkick.fall=0;
	        wi=newLevel(NULL, NULL, NULL, 44);
		updateScore(NULL, NULL, NULL, NULL, NULL, NULL, 9, NULL);	
		score[0]=0;score[1]=0;score[2]=0;	
		rockkick.fall=0;
		rockkick.caught=0;
	}
	
	//timing code
	thisFrame=SDL_GetTicks();
	deltaFrame=(thisFrame-lastFrame);
	if (deltaFrame<20) delay=10; else delay=0;
	SDL_Delay(delay);
	lastFrame=thisFrame;

	
	//bird code goes here
	if (bird) {
		if(newbird){
			birddst=birdsrc;
			birddst.x=5;
			birddst.y=15;
			newbird=0;
			birdrepair=birddst;
			birdrepair.x-=bird->speed;
		}
		if(!bird->frame) {
			if(birdsrc.x==324) {
				birdsrc.x=0;
				bird->frame=5;
			}
			else {
				birdsrc.x+=81;
				bird->frame=5;
			}
		}
		
		SDL_BlitSurface(wbackground, &birdrepair, wscreen, &birdrepair);	
		SDL_BlitSurface(wtarget, &birdsrc, wscreen, &birddst);	
		birddst.x+=bird->speed;
		birdrepair.x+=bird->speed;	
		bird->frame--;
		
		if(birddst.x >630 ) {
			SDL_BlitSurface(wbackground, &birddst, wscreen, &birddst);
			newbird=1;	
		}
	}
	
	
	
	
		//end of bird code
	
// hearts code	
	for (wi=0;wi<=10;wi++) {		
		if(!whearts[wi].dead) {	
			hdest.x=whearts[wi].x;
			hdest.y=whearts[wi].y;
			hrepairsrc.x=hdest.x;
			hrepairsrc.y=hdest.y-whearts[wi].speed;
			hrepairdest=hrepairsrc;
			SDL_BlitSurface(wbackground, &hrepairsrc, wscreen, &hrepairdest);
			hframe=whearts[wi].frame;
			if(!whearts[wi].type) SDL_BlitSurface(wtarget, &hsrc[hframe], wscreen, &hdest); //check to see if display heart or bonus
			else {
				switch(whearts[wi].type){
				
					case 1:				
						if(rockkick.fall) SDL_BlitSurface(wtarget, &kicksrc, wscreen, &hdest);
						else {
							rockkick.wait--;
							if(!rockkick.wait) rockkick.fall=1;
						}
						break;
					
					case 2: //evil hearts
						hsrc[hframe].x+=62;
						SDL_BlitSurface(wtarget, &hsrc[hframe], wscreen, &hdest);
						hsrc[hframe].x-=62;
						break;

					case 3: //may be life bonus
						break;
						
				
				}
			}
				
			if(!rockkick.fall && whearts[wi].type==1) whearts[wi].y=whearts[wi].y; //make sure when it has disappeared it doesn't continue to fall down the screen
			else whearts[wi].y=whearts[wi].y+whearts[wi].speed;
			whearts[wi].FrameRefresh=spd;
			if(whearts[wi].FrameRefresh==5){
				if(whearts[wi].frame!=7)whearts[wi].frame++;else whearts[wi].frame=0;
					whearts[wi].FrameRefresh=0;
			}
		
			if(rockkick.caught) SDL_BlitSurface (wtarget, &kicksrc, wscreen, &kickdst); 
			
			
		if((hdest.x>=WhereIsHugooski->x-25) && (hdest.x <= WhereIsHugooski->x+35) && (hdest.y >= WhereIsHugooski->y-39) ) {

			if(!(whearts[wi].type)) { //add to the score normally
				score[2]++;
				if (score[2]==10) {
        	              		score[1]++;
                	       		score[2]=0;
                	       	}
                       		if (score[1]==10) {
					score[0]++;
					score[1]=0;
				}
				levelUpdate=updateScore(wscreen,wtarget, wbackground, score[0], score[1], score[2], NULL, NULL);
				channelactive[1]=1;
				channel_pos[1]=0;

				
				whearts[wi].y=0;
				whearts[wi].x=rand()%600;
				if (whearts[wi].x <50) whearts[wi].x+=50;
				if ( (whearts[wi].x > 540) && (whearts[wi].x <560)) whearts[wi].y=15;
				//whearts[wi].dead=1;
				SDL_BlitSurface(wbackground, &hrepairsrc, wscreen, &hrepairdest); 
				//rockkick.fall=0;
				//rockkick.wait=200;
			
			}
			else {	
				
				switch(whearts[wi].type) {
					case 1:
						SDL_BlitSurface(wbackground, &hdest, wscreen, &hdest);
						whearts[wi].dead=1;//reset to return to normal heart
						whearts[wi].type=0;
						rockkick.fall=0;
						rockkick.caught=1;//setup so that it knows it can kick now
						break;
					case 2: //evil heart is caught and one red heart disappears from meter
						updateScore(wscreen,wtarget, wbackground, NULL, NULL, NULL, 5, NULL);
						whearts[wi].y=0;
						whearts[wi].x=rand()%600;                                      	
						if (whearts[wi].x <50) whearts[wi].x+=50;	
						if ( (whearts[wi].x > 540) && (whearts[wi].x <560)) whearts[wi].y=15;           	
						SDL_BlitSurface(wbackground, &hrepairsrc, wscreen, &hrepairdest);



						
						
						break;

					case 3: //something for extra life
						break;
				}
			}
						
		
		
		}
			// check to see if hearts contact must add timing here too for how long the hearts disappear
		for(wj=0;wj<hearts;wj++){

			if(wi != wj){
				if ( (hdest.x >= whearts[wj].x) && (hdest.x <= whearts[wj].x+30) && (hdest.y >= whearts[wj].y) && (hdest.y <= whearts[wj].y+26) ) {

						whearts[wi].dead=1;
	
						// run function that draws this hearts disappear particle effect
						// send wscreen wtarget wbackground and whearts[wi]
						// something like createParticleEffect   						
						createParticleEffect(wscreen, wtarget, wbackground, whearts[wi].x, whearts[wi].y, 1);
						//reset the x and y values of dead heart so there are no more collisions detected here
						whearts[wi].x=-1;
						whearts[wi].y=-1;
						SDL_BlitSurface(wbackground, &hrepairsrc, wscreen, &hrepairdest);
						
										}
									}
								}
						
						
								
								if (hdest.y>450) {
									SDL_BlitSurface(wbackground, &hrepairsrc, wscreen, &hrepairdest);		
									createParticleEffect(wscreen,wtarget, wbackground, whearts[wi].x, whearts[wi].y, 1);
									// again draw particle effect as it hits the ground
								
									if(whearts[wi].type==1) {  //if this is a bonus, reset it to appear at a random time.	
										rockkick.fall=0;    	
										rockkick.wait=100;	
									}                           	
									whearts[wi].y=0;
									whearts[wi].x=rand()%600;
									if(whearts[wi].x < 50) whearts[wi].x=60;
								}
							}
		 else {
		
			if (whearts[wi].dead=1) {
				whearts[wi].y=0;
				whearts[wi].x=rand()%600;
				if(whearts[wi].x < 50) whearts[wi].x+=200;
			}
			
			if(whearts[wi].dead) whearts[wi].dead--;
	
		}

	}	

// end of hearts code

	
	// Troll code goes here
	// troll.speed=15, speed at which to repeat rock rolls
	if(troll){
		//check to see if hugooski is touching the troll, if so troll takes his hearts, the troll is heart hungry!!
		if( (((WhereIsHugooski->x >= troll->x+10) && (WhereIsHugooski->x <= troll->x+18)) || ((WhereIsHugooski->x+40 >= troll->x+10) && (WhereIsHugooski->x+40 <= troll->x+18))) && (WhereIsHugooski->y+35 >= troll->y) ) {
		
			if(!troll->dead) updateScore(wscreen,wtarget, wbackground, NULL, NULL, NULL, 5, troll);
		}

			
		
		
		if(rockkick.kicked) {// detect if hits troll when hugs kicks it, later add && level > 10 (or something like that)
			if ( (rockdst.x >= trolldst.x+5) && (rockdst.x <= trolldst.x+23) ) {
				createParticleEffect(wscreen, wtarget, wbackground, troll->x, troll->y, 0);
				troll=spawnEnemies(2); //troll is dead create new one
				troll->dead=rand()%1000;
				if(!troll->dead) troll->dead=1001;
				rockStop=0;
				trollframedelay=20;
				trollrockthrow=0;
				rockkick.kicked=0; //kicked rock not in motion
                        	rockkick.caught=0;
                        	rockkick.fall=1;
                        	SDL_BlitSurface(wbackground, &kickdst, wscreen, &kickdst);
				SDL_BlitSurface(wbackground, &trolldst, wscreen, &trolldst);
				rockdst.w=30;//so that the rock completely disappears
				SDL_BlitSurface(wbackground, &rockdst, wscreen, &rockdst);
			
				for(bonus=35;bonus;bonus--){
					score[2]++;
					if (score[2]==10) {
			      		score[1]++;
			       		score[2]=0;
				       	}
					if (score[1]==10) {
					      	score[0]++;
						score[1]=0;
					}
					updateScore(wscreen,wtarget, wbackground, score[0], score[1], score[2], 1, NULL);
				}
			
			}
		}
		
		if(!troll->dead){ //troll can be dead if hugs kicks the rock into it	
		trolldst=trollsrc;
		trolldst.x=troll->x;
		trolldst.y=troll->y;
		if(WhereIsHugooski->x > trolldst.x) trollsrc.y=139;
		
		else trollsrc.y=175;
		
		if(WhereIsHugooski->y !=410 ){ //so only draws background if hugooski is jumping, otherwise he has a big green box where his legs are to be.
			trolldst.y=460;	
			SDL_BlitSurface(wbackground, &trolldst, wscreen, &trolldst);	
			trolldst.y=oldtrolldsty;
		}
		SDL_BlitSurface(wtarget, &trollsrc, wscreen, &trolldst);

		if(rockStop<1) {



			
			if(!trollrockthrow) trollframedelay--;
			if(!trollframedelay){
				SDL_BlitSurface(wbackground, &trolldst, wscreen, &trolldst);
				trollsrc.x+=29;
				SDL_BlitSurface(wtarget, &trollsrc, wscreen, &trolldst);
				trollframedelay=20;
				if(trollsrc.x>90) {
					trollrockthrow=1;
					trollsrc.x=0;
					if(trollsrc.y==139){ //check to see which way troll should face
						if(!rockkick.kicked)troll->FrameRefresh=0; //rock rolls to the right
						rockdst.x=trolldst.x+30;
                                               	rockRepairSrc.x=rockdst.x-troll->speed;
                                               	rockRepairDst.x=rockRepairSrc.x;
					}
						
			        	else {
						if(!rockkick.kicked)troll->FrameRefresh=1; //rock rolls to left                  		
						rockdst.x=trolldst.x-30;          		
                                		rockRepairSrc.x=rockdst.x+troll->speed;
                                             	rockRepairDst.x=rockRepairSrc.x;
					}
						
					
				}
			}
			
			if(trollrockthrow){
	
			
			//	SDL_BlitSurface(wbackground, &trolldst, wscreen, &trolldst);
				SDL_BlitSurface(wtarget, &trollsrc, wscreen, &trolldst);
				
				SDL_BlitSurface(wbackground, &rockRepairSrc, wscreen, &rockRepairDst);
				if(!rockgroundframedelay) { //wait before changing frames	
						rocksrc.x+=17;		
						if (rocksrc.x>38) rocksrc.x=3;
				
					rockgroundframedelay=10;
				}
				rockgroundframedelay--;
				SDL_BlitSurface(wtarget, &rocksrc, wscreen, &rockdst);
				if(!god){	
					if((rockdst.x<=WhereIsHugooski->x+30) && (rockdst.y <= WhereIsHugooski->y+55) && (rockdst.x+10 >= WhereIsHugooski->x+5)) {
						if(!rockkick.caught){ //if it is caught then do not do death but the kick
							rockRepairSrc.x+=troll->speed;
							rockRepairDst.x+=troll->speed;
							SDL_BlitSurface(wbackground, &rockRepairSrc, wscreen, &rockRepairDst);
							death=updateLives(wscreen, wtarget, wbackground, 1, WhereIsHugooski);
						}
					//		SDL_BlitSurface(wbackground, &fallingRockRepairSrc, wscreen, &fallingRockRepairDst);
						else { 	//setup kick parameters here
			        			
							troll->FrameRefresh=!troll->FrameRefresh;	
							rockkick.kicked=1;                              	
							if(!troll->FrameRefresh) {
								rockRepairSrc.x-=2*troll->speed;
								rockRepairDst.x-=2*troll->speed;
							}
							if(troll->FrameRefresh) {
								rockRepairSrc.x+=2*troll->speed;
								rockRepairDst.x+=2*troll->speed;
							}

							god=20; //timer so doesn't die while near rock
						
						}                                                       	
					}
				}
				// test here for collision with rock, if true then run updateLives()
				// could actually have a function that purely tests for collision
				
				if(!troll->FrameRefresh){	//update for rock rolling to right
					rockdst.x+=troll->speed; //later implement rockspeed for variable speeds
					rockRepairSrc.x+=troll->speed;
					rockRepairDst.x+=troll->speed;
				}
					
				if(troll->FrameRefresh){	//update for rock rolling to left
					rockdst.x-=troll->speed;; //later implement rockspeed for variable speeds
					rockRepairSrc.x-=troll->speed;
					rockRepairDst.x-=troll->speed;
				}
				
					
				if (rockdst.x>640||rockdst.x<1) { //if rock goes out of the screen
					if(rockkick.kicked){ //reset parameters for rockkick, only if it was kicked
						rockkick.kicked=0; //kicked rock not in motion
						rockkick.caught=0;
						rockkick.fall=1;
						SDL_BlitSurface(wbackground, &kickdst, wscreen, &kickdst);
					}
					
					rockStop=troll->init;
				
					if(!troll->FrameRefresh){
						rockdst.x=trolldst.x+30;
						rockRepairSrc.x=trolldst.x-1;
						rockRepairDst.x=rockRepairSrc.x;
					}
					if(troll->FrameRefresh){
						SDL_BlitSurface(wbackground, &rockRepairDst, wscreen, &rockRepairDst);
						rockdst.x=trolldst.x-30;
						rockRepairSrc.x=trolldst.x+1;
						rockRepairDst.x=rockRepairSrc.x;
					}                                     					
					trollrockthrow=0;	
				}
			}
		
		}
		
		if(rockStop)rockStop=rockStop-1;
	}else troll->dead--;
	
	}

// end of troll code
	
	if(rocks) {			//falling rocks
		for (wi=0;wi<=rocks;wi++){
			if(!rock[wi].dead) {	
				fallingRockDst.x=rock[wi].x;
				fallingRockDst.y=rock[wi].y;
				fallingRockRepairSrc.x=fallingRockDst.x;
				fallingRockRepairSrc.y=fallingRockDst.y-rock[wi].speed;
				fallingRockRepairDst=fallingRockRepairSrc;
				SDL_BlitSurface(wbackground, &fallingRockRepairSrc, wscreen, &fallingRockRepairDst);
				SDL_BlitSurface(wtarget, &fallingRockSrc, wscreen, &fallingRockDst);
				rock[wi].y=rock[wi].y+rock[wi].speed;
				
				if((rock[wi].x>=WhereIsHugooski->x) && (rock[wi].x <= WhereIsHugooski->x+30) && (rock[wi].y >= WhereIsHugooski->y) ) {
				SDL_BlitSurface(wbackground, &fallingRockRepairSrc, wscreen, &fallingRockRepairDst);			
				death=updateLives(wscreen, wtarget, wbackground, 1, WhereIsHugooski);				
				
			
				rock[wi].y=0;
				}
		
		if(fallingRockDst.y>480) {
			rock[wi].y=0;
			rock[wi].x=rand()%600;
			if(rock[wi].x < 30) rock[wi].x=602;
			if(rock[wi].x > 600) rock[wi].x=601;
		}	

			}
		}
	}
	
	if(death=='H'){
		SDL_BlitSurface(wbackground, NULL, wscreen, NULL);
		updateScore(wscreen,wtarget, wbackground, NULL, NULL, NULL, NULL, NULL);			
		whearts=spawnEnemies(1);
	//	renew bird
		bird=spawnEnemies(4);
		newbird=1;
		
		if(level > 6) { //renew troll
			troll=spawnEnemies(2);
			rock=spawnEnemies(3);
			trollrockthrow=0;
			troll->dead=0; //if troll died make it live again
		}	
		
		if(level>12) { //renew rocks
			if(!rockkick.caught){
				whearts[2].type=1; //restore kick option
				rockkick.wait=100;
				rockkick.fall=0;
			}
						
			for(wi=10;wi>hearts;wi--) { //make other hearts blue
			whearts[wi].type=2;
			}
		}                                                           		
		
		death='N';
	}
	run=updateLives(wscreen, wtarget, wbackground, 3, WhereIsHugooski);	
	if(run=='N') {
		levelUpdate=0;
		level=0;
	}
	// End of Troll code
	
	spd++;
	if(spd==6)spd=0;
	
	
	if(levelUpdate) {
		level=level+levelUpdate;
		whearts=spawnEnemies(1);//create new variables for hearts
		if(!bird) {
			bird=spawnEnemies(4);
			birddst=birdsrc;
			birdrepair=birdsrc;
		}
		newbird=1;	
		switch (level){		//new variables for falling rocks, ad the amount of them.
			case 2: 
				rocks=1;
				break;
		
			case 6: 
				rocks=2;
				break;

			case 12: 
				 rocks=3;
				 break;

			case 18: 
				 rocks=4;
				 break;

			case 24: 
				 rocks=5;
				 break;
		}
		
		if(level > 1) rock=spawnEnemies(3); //same amount of falling rocks, just new variables
		
		if(level>6){
			trollrockthrow=0;
			troll=spawnEnemies(2);//create new variables for troll
			//rock=spawnEnemies(3);
			/*while(!rocks)	rocks=rand()%3;
			if(!rocks) rocks=4;*/
			rockStop=troll->init;
		}
		if(level>12){ //setup variables for kick icon
			if(!rockkick.caught){
				rockkick.fall=1;
				whearts[2].type=1;
			}
		}
		hearts=newLevel(wscreen, wtarget, wbackground, level);
		if(level>12){
				
			for(wi=10;wi>hearts;wi--) { //make other hearts blue
				whearts[wi].type=2;
			}
		
		}
	levelUpdate=0;

	}
	if(god) god--; //if gets hit, sets up invulnerability mode god-- is to turn it off eventually
	return run;
}
/*void deathSequence(SDL_Surface *dsurface, SDL_Surface *dtarget) {
	
	SDL_Rect dest, src, repair;
	int y;
	repair.x=100, repair.y=0, repair.w=18, repair.h=17;
	//dest.x=0, dest.y=0, dest.w=18, dest.h=17;
	src.x=320, src.y=52, src.w=18, src.h=17;
	SDL_BlitSurface(dtarget, NULL, dsurface, &dest);
	SDL_Flip(dsurface);
	dest.x=100;
	//basically with the repair it has to clear each pixel, otherwise the animation is a blurrrrr	
	for (y=1;y<121;y++) {
		

		dest.y=y-1, dest.h=1;
		SDL_BlitSurface(dtarget, &repair, dsurface, &dest);
		dest.y=y;
		dest.h=17;
		repair.y=y;
		SDL_BlitSurface(dtarget, &src, dsurface, &dest);
		//SDL_UpdateRect(dsurface,0,0,0,0);                             	
		SDL_Flip(dsurface);
		dest.y=y;
	}	
	


	
}
*/

int updateScore(SDL_Surface *sscreen,SDL_Surface *starget, SDL_Surface *sbackground, int z, int y, int x, int whatToDo, Enemies *stroll) {
	static int score[]={0,0,0}, hearts=0,a=0, redrawHeartMeter=0, redrawHearts=0,doing=0, trolly, transparency=255;
	static SDL_Rect src, dest, trollheartdest;
	int count, addlevel=0;
	if(whatToDo==9){ //reset score and hearts caught
		hearts=0;
		score[0]=0;
		score[1]=0;
		score[2]=0;
		return;
	}
		
	
	
	
	
	if(whatToDo!=2) { //if told to only update the graphic
	
		if (z|y|x){
			score[0]=z;
			score[1]=y;
			score[2]=x;
			
		}else  if(whatToDo==NULL)a=1;//to enable to change hearts back to zero, to restart level if there is a kill
		src.w=40, src.h=10, src.x=540, src.y=13;
		dest=src;
		SDL_BlitSurface(sbackground, &src, sscreen, &dest);//refresh score background
				
		src.x=20, src.y=0, src.w=20, src.h=20;
		dest.x=8, dest.y=255, dest.w=20, dest.h=20;
		if(whatToDo==NULL){ //if 1 then only update score, but not how many hearts caught, if 5 then must subtract one caught heart
			if(!a){
				if (hearts <9 ){
					dest.y=260-(25*hearts);
					SDL_BlitSurface(starget, &src, sscreen, &dest);
					hearts++;
				}else {
					addlevel=1;
					hearts=0;
					a=0;
				}
			}else  {hearts=0;a=0;}//must be death or end of level
				
		}else if((whatToDo==5) && (hearts)){//subtract one heart
			hearts--;
			a=0;
       			redrawHeartMeter=1;                 
			} 
		
	}
		if(redrawHeartMeter||whatToDo==2){
			src.w=20, src.h=260, src.x=8, src.y=28;//parameters for meter
			dest=src;
			SDL_BlitSurface(sbackground, &dest, sscreen, &dest);
			src.x=20, src.y=0, src.w=20, src.h=20; //get parameters for heartmeter sprites
			dest.x=8, dest.y=255, dest.w=20, dest.h=20;		
			redrawHearts=hearts-1;
			for(redrawHearts;redrawHearts>-1;redrawHearts--){
				dest.y=260-(25*redrawHearts);	
				SDL_BlitSurface(starget, &src, sscreen, &dest);			
			

			}
			redrawHeartMeter=0;
			
	
		}
	src.w=10, src.h=10;
	dest.y=14, dest.w=src.w, dest.h=src.h;
	for (count=0;count<3;count++) {
		switch(score[count]) {

			case 0:
				src.x=0;
				src.y=0;
				break;
	
			case 1:
				src.x=10;
				src.y=0;
				break;
			case 2:
				src.x=0;
				src.y=12;
				break;

			case 3:
				src.x=10;
				src.y=12;
				break;
			case 4:
				src.x=0;
				src.y=22;
				break;
			case 5: src.x=10;
				src.y=22;
				break;
			case 6:
				src.x=0;
				src.y=33;
				break;
			case 7: 
				src.x=10;
				src.y=33;
				break;
				
			case 8: src.x=0;
				src.y=44;
				break;

			case 9: src.x=10;
				src.y=44;
				break;
	
				
		}
	
		switch(count) {
			case 0:
				dest.x=540;
				break;
			case 1: dest.x=550;
				break;
				
			case 2: dest.x=560;
				break;
		}
	
	
		SDL_BlitSurface(starget, &src, sscreen, &dest);
	
	


	}	
	 //if need to show that hearts are being taken away by the troll

		if(!doing) {
			if(stroll){
				src.x=20, src.y=0, src.w=20, src.h=20;
			trollheartdest.x=stroll->x, trollheartdest.y=stroll->y-40, trollheartdest.w=20, trollheartdest.h=20;
			doing=1;
			trolly=stroll->y;//need this to see how far above the heart is, stroll is not allways passed to test
			}
		}
		else {
			src.x=20, src.y=0, src.w=20, src.h=20;
			if(transparency>10) transparency-=10;
			else transparency--;
			if((trolly-trollheartdest.y)>=80) {                                             	
				if(!transparency){
					SDL_BlitSurface(sbackground, &trollheartdest, sscreen, &trollheartdest);	
					doing=0;                                                                	
					transparency=255;
				}
			}                                                                               	
			else{
				SDL_SetAlpha(starget, SDL_SRCALPHA, transparency);	
				SDL_BlitSurface(sbackground, &trollheartdest, sscreen, &trollheartdest);
				trollheartdest.x-=1;
				trollheartdest.y-=2;
				SDL_BlitSurface(starget, &src, sscreen, &trollheartdest);
				SDL_SetAlpha(starget, SDL_SRCALPHA, 255);
			}
		
		}
		
	
	
	
	
	
	
	return addlevel;
	
}

int newLevel(SDL_Surface *wscreen, SDL_Surface *wtarget, SDL_Surface *wbackground, int wlevel) {
	static int levelShow[2]={0,1}, hearts;
	static SDL_Rect nsrc[2], ndest[2];
	int count;
	SDL_Event nEvent;
	SDL_Rect dest, src;
	char cnt;

	if(wlevel==44) { //reset score and exit
		levelShow[0]=0;
		levelShow[1]=1;
		return;
	}
	
	SDL_PauseAudio(1);
	dest.x=0, dest.y=0, dest.w=640, dest.h=480;
	SDL_BlitSurface(wbackground, NULL, wscreen, &dest);
	src.x=0, src.y=340, src.w=500, src.h=23;
	dest.x=50, dest.y=200, dest.w=src.w, dest.h=src.h;
	SDL_BlitSurface(wtarget, &src, wscreen, &dest);
	levelShow[1]++;
	if (levelShow[1]==10) {	
   		levelShow[0]++;
       		levelShow[1]=0;
  	}
	nsrc[0].w=13, nsrc[0].h=21;
	nsrc[1].w=nsrc[0].w, nsrc[1].h=nsrc[0].h;
	
	for (count=0;count<2;count++) {
        	switch(levelShow[count]) {
                                            
        		case 0:
        			nsrc[count].x=0;
        			nsrc[count].y=370;
        			break;
        
        		case 1:
        			nsrc[count].x=15;
        			nsrc[count].y=370;
        			break;
        		case 2:
        			nsrc[count].x=30;
        			nsrc[count].y=370;
        			break;
                                            
        		case 3:
        			nsrc[count].x=45;
        			nsrc[count].y=370;
        			break;
        		case 4:
        			nsrc[count].x=60;
        			nsrc[count].y=370;
        			break;
        		case 5: nsrc[count].x=75;
        			nsrc[count].y=370;
        			break;
        		case 6:
        			nsrc[count].x=90;
        			nsrc[count].y=370;
        			break;
        		case 7: 
        			nsrc[count].x=105;
        			nsrc[count].y=370;
        			break;
        			
        		case 8: nsrc[count].x=120;
        			nsrc[count].y=370;
        			break;
                                            
        		case 9: nsrc[count].x=135;
        			nsrc[count].y=370;
        			break;
        
        			
        	}
        
        	switch(count) {
        		case 0:
        			ndest[count].x=550;
        			break;
        		case 1: ndest[count].x=570;
        			break;
        			
        	}
        

	}
	ndest[0].y=202, ndest[0].w=nsrc[0].w, ndest[0].h=nsrc[0].h;
	ndest[1].y=ndest[0].y, ndest[1].w=ndest[0].w, ndest[1].h=ndest[0].h;
	count=1;


	cnt='R';
	while(cnt!='N'){
	
		while(!SDL_PollEvent(&nEvent)) {
			// maybe add save game function here.
			switch(nEvent.type){
				case SDL_KEYDOWN:
					cnt=HandleKeyboardEvent(&nEvent);

			}
		if (count>4){
			nsrc[0].y-=22;
			nsrc[1].y-=22;
			SDL_BlitSurface(wtarget, &nsrc[0], wscreen, &ndest[0]);	
			SDL_BlitSurface(wtarget, &nsrc[1], wscreen, &ndest[1]);	
			SDL_Flip(wscreen);                                     	
			count--;
			if(count==4) count=1;
		}else {
			nsrc[0].y+=22;
			nsrc[1].y+=22;
			SDL_BlitSurface(wtarget, &nsrc[0], wscreen, &ndest[0]);	
		       	SDL_BlitSurface(wtarget, &nsrc[1], wscreen, &ndest[1]);	
		       	SDL_Flip(wscreen);                                     	
			count++;
			if (count==4) count=7;
		}
		SDL_Delay(100);
		}	
	}
	dest.x=0, dest.y=0, dest.w=640, dest.h=480;
	SDL_BlitSurface(wbackground, NULL, wscreen, &dest);

		switch(wlevel) {
			 
		case 13: hearts=10;
			break;

		case 14: hearts=8;
			break;

		case 15: hearts=8;
			 break;

		case 16: hearts=8;
			 break;

		case 17: hearts=7;
			 break;

		case 18: hearts=6;
			 break;

		case 19: hearts=10;
			break;

		case 20: hearts=8;
			break;

		case 21: hearts=6;
			 break;

		case 22: hearts=6;
			 break;

		case 23: hearts=6;
			 break;

		case 24: hearts=5;
			 break;

		case 25: hearts=5;
			break;

		case 26: hearts=5;
			break;

		case 27: hearts=4; 			 
			 break;

		case 28: hearts=3;
			 break;    			 

		case 29: hearts=2;
			 break;    			 
                                   		
		case 30: hearts=1; 		
			 break;    		
		
		default:
			 hearts=10;
			 break;
		}

	SDL_PauseAudio(0);
	return hearts;

}

Enemies* spawnEnemies(int whatToDo) {
	int c;
	static Enemies	hearts[11], troll, rock[6], bird;

	
	switch(whatToDo) {
		case 1:	
		for(c=0;c<=11;c++) {
			hearts[c].x=rand()%600;
			if (hearts[c].x <50) hearts[c].x+=50;
			if ( (hearts[c].x > 540) && (hearts[c].x <560)) hearts[c].y=15;	
			hearts[c].y=rand()%200;
			hearts[c].frame=0;
			hearts[c].init=0;
			hearts[c].speed=rand()%5;
			hearts[c].FrameRefresh=0;
			if(!hearts[c].speed)hearts[c].speed=1;//to protect from having hearts not falling down.
			hearts[c].dead=0;
			hearts[c].dying=0;
			hearts[c].type=0;
		}
		return hearts;
		break;

		case 2:
			troll.x=rand()%300;
			if(!troll.x) troll.x=301;
			troll.y=440;
			troll.frame=1;
			troll.init=rand()%100; //speed at which to repeat rock throws
			troll.speed=rand()%4; //speed at which troll throws rock
			if(!troll.speed) troll.speed=5;
			troll.FrameRefresh=0;//this variable used to tell when the troll throws the rock.
			troll.dead=0; //not dead
			troll.dying=0; //not dying, use for dying animation
			troll.type=0;
			return &troll;
			break;
		

		case 3:
			
			for (c=0;c<6;c++) {
			rock[c].x=rand()%600;
			rock[c].y=rand()%200;
			rock[c].frame=0;
			rock[c].init=0;
			rock[c].speed=rand()%5;
			if (!rock[c].speed) rock[c].speed=1;
			rock[c].FrameRefresh=0;
			rock[c].dead=0;
			rock[c].dying=0;
			rock[c].type=0;
			}
			return &rock;
			break;
		case 4:
			bird.x=0;
			bird.y=20;
			bird.frame=5;
			bird.init=rand()%100; //speed at which to repeat shits
			bird.speed=rand()%1; //speed at which shits fall
			if(!bird.speed) bird.speed=2;
			bird.FrameRefresh=0; //dont know what for yet
			bird.dead=0; //not dead
			bird.dying=0; //not dying
			bird.type=0; //different types of birds
			return &bird;
			break;
			

		
		
		default:
			break;
					
		
		}
			
}

char updateLives(SDL_Surface *wscreen, SDL_Surface *wtarget, SDL_Surface *wbackground, int whatToDo, SDL_Rect *WhereIsHugooski) {
	
	static SDL_Rect hugooskiHeadsSrc={300,5,33,22}, hugooskiHeadsDst={600,30,33,22}, headRepair={600,30,33,132};
	static SDL_Rect hugooskiDead[2]={{260,5,36,62},{302,5,36,62}};
	static int lives=3, q=0;
	int i,y;
	char ulrun;
	
	i=lives;
	
	switch(whatToDo) {

		case 1:
			 // 1 remove a life and draw lost life screen		
			
			
				if(lives){
				
					SDL_BlitSurface(wbackground, &headRepair, wscreen, &headRepair);	
					lives--;
			
				}	
			
			
			for(y=0;y<3;y++) {
				SDL_BlitSurface(wbackground, WhereIsHugooski, wscreen, WhereIsHugooski);
				SDL_Flip(wscreen);
				SDL_Delay(100);
				SDL_BlitSurface(wtarget, &hugooskiDead[0], wscreen, WhereIsHugooski);
				SDL_Flip(wscreen);
				SDL_Delay(100);
				SDL_BlitSurface(wbackground, WhereIsHugooski, wscreen, WhereIsHugooski);
				SDL_Flip(wscreen);
				SDL_Delay(100);
				SDL_BlitSurface(wtarget, &hugooskiDead[1], wscreen, WhereIsHugooski);
				SDL_Flip(wscreen);
				SDL_Delay(100);
			}
			
			WhereIsHugooski->x=320;
			spawnEnemies(1);
			spawnEnemies(2);
			SDL_BlitSurface(wbackground, NULL, wscreen, NULL);
			SDL_Flip(wscreen);
			q=1;
			break;

		case 2:
			// 2 add a life and draw add life screen
			SDL_BlitSurface(wbackground, &headRepair, wscreen, &headRepair);	
                	lives++;

			
		
			break;

		case 3:
			// 3 simply redraw the life heads on the screen
			while(i){
			
				SDL_BlitSurface(wtarget, &hugooskiHeadsSrc, wscreen, &hugooskiHeadsDst);
				hugooskiHeadsDst.y+=27;
				i--;

			}
			hugooskiHeadsDst.y=30;
	
			break;

		case 4:
			lives=3; //reset lives value
			break;
			
		default:

			break;

	}

	//add timer










	if(q){ 
		q=0;
		ulrun= 'H';
	}else ulrun='Y';

	if(!lives) {
		// do gameover
		gameOver(wscreen, wtarget, wbackground);
		//SDL_Delay(500);
		ulrun='N';                                                                             	
	                                                                                                	
	}   
	return ulrun;
	

	// for the return integer, 1 if it is to continue to run, 2 if a life was lost and level must restart with zero hearts collected
	// or zero if all lives lost and end of game.
			


}

void doMenu(SDL_Surface *mscreen, SDL_Surface *mtarget, SDL_Surface *mbackground, SDL_Surface *mintrobackground) {
	static SDL_Rect mdest={0,0,640,480}, topdest={130,120,153,48}, topsrc={158,364,153,48}, diamonddest={90,130,28,29}, diamondsrc={317,371,28,29};
	static SDL_Event	menuEvent;
	static char mmove;
	static int diamondscroll=0; //diamond scroll 0 for right 1 for left diamondt to change frames
	switch(menu_show) { //switch whether to show PLAY OR RESUME
		case PLAY:
			topsrc.y=364;
			break;

		case RESUME:
			topsrc.y=413;
			break;
	}
	
	if(!channelactive[0])channel_pos[0]=0;
	channelactive[0]=1;
	
	SDL_BlitSurface(mintrobackground, NULL, mscreen, &mdest);
	SDL_BlitSurface(mtarget, &topsrc, mscreen, &topdest);
	

	while (SDL_PollEvent(&menuEvent)) {	                                          	
       		switch(menuEvent.type){                                                      	
       			case SDL_KEYDOWN:                                                	
       				mmove=HandleKeyboardEvent(&menuEvent);                        	
       				break;                                                   	
       			default:                                                         	
       				break;                                                   	
       		}                                                                        	
       	}                                                                                	
	
	switch (diamondscroll) {
		case 0:
			if(diamondsrc.x!=497) diamondsrc.x+=30;
				else diamondscroll=1;
			break;
		case 1: if(diamondsrc.x!=317) diamondsrc.x-=30;
				else diamondscroll=0;
			break;

	}

	if(diamonddest.y==300) diamondsrc.y=400;
	else diamondsrc.y=371;
	
	SDL_BlitSurface(mtarget, &diamondsrc, mscreen, &diamonddest);
	
	//make diamond move through menu options
	
	switch(mmove){
		case 'S'://move diamond up
			if(diamonddest.y>130) {
				if(diamonddest.y==300)diamonddest.y-=90;
				else diamonddest.y-=40;
			}
			break;

		case 'X': //move diamond down
			if(diamonddest.y!=300){
				if(diamonddest.y==210) diamonddest.y+=90;
				else	diamonddest.y+=40;
			}
			break;
		case 'U': //space key pressed, select.
			switch(diamonddest.y) {

				case 130:
					game_state=GAME;
					channelactive[0]=0;
					menu_show=RESUME;
					SDL_BlitSurface(mbackground, &mdest, mscreen, &mdest);
					updateScore(mscreen, mtarget, mbackground, NULL, NULL, NULL, 2, NULL);	
					SDL_Flip(mscreen);
				
					break;

				case 170: // show instructions
					break;

				case 210: // show credits
					break;

				case 300: //goodbye hugooski
					game_state=SHUTDOWN;
					channelactive[0]=0;
					break;
			}
				
	
	}
		
	mmove='t';//reset mmove variable so doesn't allways move up or down

	SDL_Delay(100);                                                                  	


	return;
}



void gameOver(SDL_Surface *gscreen, SDL_Surface *gtarget, SDL_Surface *gbackground) {

	//stop all other sounds
	//play gameover sound
	//show game over and wait for input
	menu_show=PLAY;


}

