/* game.h - Game loop definitions and prototypes */

#include <SDL_image.h>
#include <SDL.h>
#ifndef __GAME_H__
#define __GAME_H__

// Some globals
Uint8	*channel[4];
Uint32	channel_len[4];
Uint32	channel_pos[4];
int channelactive[4];

// end of globals

typedef struct {
	int 	x;
	int	y;
	int	frame;
	int	init;//if init is 1 then it has to be initialized
	int	FrameRefresh;// how long before redrawing next frame
	int 	speed;//can be different for different hearts, makes it harder to catch them, plan attack, maybe for higher levels.
	int 	dead;//if 1 then do not draw this heart
	int	dying;//if 1 then it is dying, draw dying animation, or there could be two frames, so dying will be 1 and count down, ea			ch time drawing each frame. like the hearts changing to blood and sinking into the ground.
	int 	type; //type of enemy it is, could be heart or bonus etc
}Enemies;

typedef struct {
	int	fall;
	int	wait;
	int	caught;
	int	whichheart; //which heart has the rockkick turned on
	int 	kicked; //1 after it is kicked means kicked rock is in motion
}kick;


typedef struct {

	int	x;
	int	y;
	int	putx[65];
	int 	puty[65];
	int	bounce; //if on the pixels go opposite way
	int 	rightside; //if on the draws right side of effect, else draws left side
	int 	whichEffect; // which effect?? when hearts collide or hit the ground?
	int	w;
	int	h;
	int	stage; //stage of size, if zero then it is free to create an effect if 1 then it may count to say 15 if 1 then width and height may be 1 also, or a multiple of 2, also should be random pixels, as particle effects should not be static
	int 	whichParticleArray;
	
}particleEffect;
	






char gameloop(void);

//int HandleMouseEvent(SDL_Event *event, SDL_Surface *wscreen, SDL_Surface *wtarget);
char HandleKeyboardEvent(SDL_Event *event);
// Draws hugooski and returns his x and y values to check for enemy collision.
SDL_Rect* DrawHugooski(SDL_Surface *xscreen, SDL_Surface *xtarget, SDL_Surface *xbackground, char MoveHow); 
//void displaycood(SDL_MouseMotionEvent *wmotion);
//void deathSequence(SDL_Surface *dsurface, SDL_Surface *dtarget);
void doMenu(SDL_Surface *mscreen, SDL_Surface *mtarget, SDL_Surface *mbackground, SDL_Surface *mintrobackground);
int updateScore(SDL_Surface *sscreen, SDL_Surface *starget, SDL_Surface *sbackground, int z, int y, int x, int whatToDo, Enemies *stroll);
char manipulateEnemy(SDL_Surface *wscreen, SDL_Surface *wtarget, SDL_Surface *wbackground, SDL_Rect *WhereIsHugooski);
int newLevel(SDL_Surface *wscreen, SDL_Surface *wtarget, SDL_Surface *wbackground, int wlevel);
char updateLives(SDL_Surface *wscreen, SDL_Surface *wtarget, SDL_Surface *wbackground, int whatToDo, SDL_Rect *WhereIsHugooski);
Enemies* spawnEnemies(int whatToDo);
void createParticleEffect(SDL_Surface *pscreen, SDL_Surface *ptarget, SDL_Surface *pbackground, int origx, int origy, int whichParticleEffect);
void audio_func(void *userdata, Uint8 *stream, int len);
//void updateSprites(SDL_Surface *screen, SDL_Surface *target, SDL_Surface *background);
char engine(SDL_Surface *wscreen, SDL_Surface *wtarget, SDL_Surface *wbackground, SDL_Rect *WhereIsHugoosk);
void gameOver(SDL_Surface *gscreen, SDL_Surface *gtarget, SDL_Surface *gbackground);
#define INIT		0
#define INTRO		1
#define MENU		2	
#define GAME		3
#define SHUTDOWN	4
#define PLAY		5
#define RESUME		6
#define INSERTHEARTS	7
#endif

